/*******************************************************************************
* Copyright 2014-2019 Intel Corporation.
*
* This software and the related documents are Intel copyrighted  materials,  and
* your use of  them is  governed by the  express license  under which  they were
* provided to you (License).  Unless the License provides otherwise, you may not
* use, modify, copy, publish, distribute,  disclose or transmit this software or
* the related documents without Intel's prior written permission.
*
* This software and the related documents  are provided as  is,  with no express
* or implied  warranties,  other  than those  that are  expressly stated  in the
* License.
*******************************************************************************/


#ifndef SWIG_csv_WRAP_H_
#define SWIG_csv_WRAP_H_

#include <map>
#include <string>


class SwigDirector_FeatureModifier : public daal::data_management::modifiers::csv::interface1::PyFeatureModifier, public Swig::Director {

public:
    SwigDirector_FeatureModifier(PyObject *self, size_t noof = 0, size_t nor = 1);
    virtual ~SwigDirector_FeatureModifier();
    virtual void initialize(daal::data_management::modifiers::csv::interface1::Config &config);
    virtual void initializeSwigPublic(daal::data_management::modifiers::csv::interface1::Config &config) {
      daal::data_management::modifiers::csv::interface1::PyFeatureModifier::initialize(config);
    }
    virtual void finalize(daal::data_management::modifiers::csv::interface1::Config &config);
    virtual void finalizeSwigPublic(daal::data_management::modifiers::csv::interface1::Config &config) {
      daal::data_management::modifiers::csv::interface1::PyFeatureModifier::finalize(config);
    }
    virtual size_t getNumberOfOutputFeatures();
    virtual PyObject *apply(PyObject *tokens);
    virtual void apply(daal::data_management::modifiers::csv::interface1::Context &context);
    virtual void applySwigPublic(daal::data_management::modifiers::csv::interface1::Context &context) {
      daal::data_management::modifiers::csv::interface1::PyFeatureModifier::apply(context);
    }

/* Internal director utilities */
public:
    bool swig_get_inner(const char *swig_protected_method_name) const {
      std::map<std::string, bool>::const_iterator iv = swig_inner.find(swig_protected_method_name);
      return (iv != swig_inner.end() ? iv->second : false);
    }
    void swig_set_inner(const char *swig_protected_method_name, bool swig_val) const {
      swig_inner[swig_protected_method_name] = swig_val;
    }
private:
    mutable std::map<std::string, bool> swig_inner;

#if defined(SWIG_PYTHON_DIRECTOR_VTABLE)
/* VTable implementation */
    PyObject *swig_get_method(size_t method_index, const char *method_name) const {
      PyObject *method = vtable[method_index];
      if (!method) {
        swig::SwigVar_PyObject name = SWIG_Python_str_FromChar(method_name);
        method = PyObject_GetAttr(swig_get_self(), name);
        if (!method) {
          std::string msg = "Method in class FeatureModifier doesn't exist, undefined ";
          msg += method_name;
          Swig::DirectorMethodException::raise(msg.c_str());
        }
        vtable[method_index] = method;
      }
      return method;
    }
private:
    mutable swig::SwigVar_PyObject vtable[2];
#endif

};


#endif
